<div class="modal-content">
    <div class="modal-header">
        <button type="button" class="close" ng-click="$dismiss()" aria-label="Close">
            <em class="ion-ios-close-empty sn-link-close"></em>
        </button>
        <div class="modal-title">
            <h3 class="modal-title">{{'Przypisz material'}}</h3>
        </div>
    </div>
    <div class="modal-body" cg-busy="$ctrl.cgBusy">
        <div class="callout callout-info" style="margin-bottom: 15px;">
            <!--<h4>Ilość materiału potrzebna do zaspokojenia zapotrzebowania - {{$ctrl.item.data.count}}szt.</h4>-->
            <!--<p>Pozostało {{$ctrl.item.data.unsatisfied}}szt., zaspokojono {{$ctrl.item.data.satisfied}}szt.</p>-->
            <h4>Wykorzystaj materiał: {{$ctrl.item.data.materialTemplate.materialType.name}} 
            {{$ctrl.item.data.materialTemplate.particularDimension}} 
            ({{$ctrl.item.data.materialTemplate.materialCode}}) </h4>
            <table class="table-condensed">
                <tr>
                    <th>Zaspokojono: </th>
                    <td>{{$ctrl.item.data.satisfied}} z {{$ctrl.item.data.count}} sztuk</td>
                </tr>
                <tr>
                    <th>Pozostało: </th>
                    <td>{{$ctrl.item.data.unsatisfied}} szt. x 
                        {{$ctrl.item.data.cuttingSize.origSize}} 
                        [{{$ctrl.item.data.materialTemplate.materialType.cuttingDimensionUnit}}]</td>
                </tr>
                <tr>
                    <th>Typ materiału: </th>
                    <td> {{$ctrl.item.data.materialTemplate.materialType.name}}</td>
                </tr> 
                <tr>
                    <th>Wymiar podstawowy: </th>
                    <td>{{$ctrl.item.data.materialTemplate.particularDimension}} 
                        [{{$ctrl.item.data.materialTemplate.materialType.baseDimensionUnit}}]</td>
                </tr>
                <tr>
                    <th>Ciętka: </th>
                    <td>{{$ctrl.item.data.cuttingSize.origSize}}
                        [{{$ctrl.item.data.materialTemplate.materialType.cuttingDimensionUnit}}]</td>
                </tr>
                <tr>
                    <th>Gatunek: </th>
                    <td>{{$ctrl.item.data.materialTemplate.steelGrade}}</td>
                </tr>
                <tr>
                    <th>Tolerancja: </th>
                    <td>{{$ctrl.item.data.materialTemplate.tolerance}}</td>
                </tr>
                <tr>
                    <th>Norma: </th>
                    <td>{{$ctrl.item.data.materialTemplate.norm}}</td>
                </tr>
                <tr>
                    <th>Uwagi: </th>
                    <td>{{$ctrl.item.data.materialTemplate.comments}}</td>
                </tr>
            </table>
<!--            <p>Zaspokojono: {{$ctrl.item.data.satisfied}} z {{$ctrl.item.data.count}} sztuk</p>
            <p>Wymiar podstawowy: {{$ctrl.item.data.materialTemplate.particularDimension}} [{{$ctrl.item.data.materialTemplate.materialType.baseDimensionUnit}}]</p>
            <p>Ciętka do zaspokojenia: {{$ctrl.item.data.cuttingSize.origSize}} [{{$ctrl.item.data.materialTemplate.materialType.cuttingDimensionUnit}}]</p>
            <p>Tolerancja: {{$ctrl.item.data.materialTemplate.tolerance}}</p>
            <p>Norma: {{$ctrl.item.data.materialTemplate.norm}}</p>
            <p>Uwagi: {{$ctrl.item.data.materialTemplate.comments}}</p>-->
        </div>
        <uib-accordion>
            <div uib-accordion-group heading="Stan magazynu" class="bootstrap-panel accordion-panel panel-primary" is-open="true" >
                <div style="overflow: auto;">
                    <list model="$ctrl.materialListModel" config="'MaterialByCode'"></list>
                </div>
            </div>
            <div uib-accordion-group heading="Zamów u dostawcy" class="bootstrap-panel accordion-panel panel-primary">
                <div ng-if="$ctrl.providerForMaterial.size" style="overflow: auto;">
                    <list model="$ctrl.providerForMaterial" config="'ProviderWithMaterial'"></list>
                    <div class="panel-body">
                        <button class="btn btn-primary pull-right" ng-click="$ctrl.addPositionsToShoppingCart()">Dodaj do koszyka</button>
                    </div>
                </div>
                <div class="callout callout-danger" ng-if="!$ctrl.providerForMaterial.size">
                    <h4>Brak dostawcy z tym materiałem</h4>
                    <p>Kliknij by dodać <a ui-sref="contractors.provider.list">dostawce</a></p>
                    <button type=button class="btn-with-icon btn btn-default" ng-click="$ctrl.materialListModel.refresh()"><i class=ion-refresh></i>Odśwież</button>
                </div>
            </div>
        </uib-accordion>
    </div>
</div>
